## com.baidubce.services.moladb.model
Class ProvisionedThroughput

    java.lang.Object
      com.baidubce.services.moladb.model.ProvisionedThroughput

    public class ProvisionedThroughput

extends Object

Represents the provision throughput numbers for a specified table.

Constructor Summary
`ProvisionedThroughput()` Constructs a new ProvisionThroughput object.

Method Summary
`Long` `getReadCapacityUnits()` Get the number of read capacity for this table.
`Long` `getWriteCapacityUnits()` Get the number of write capacity for this table.
`void` `setReadCapacityUnits(Long capacity)` Set the number of read capacity for this table.
`void` `setWriteCapacityUnits(Long capacity)` Set the number of write capacity for this table.
`protected Object` `toJsonObj()`
`String` `toString()` Return a string representation of the object.
`ProvisionedThroughput` `withReadCapacityUnits(Long capacity)` Set the number of read capacity for this table.
`ProvisionedThroughput` `withWriteCapacityUnits(Long capacity)` Set the number of write capacity for this table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProvisionedThroughput

    public ProvisionedThroughput()

  Constructs a new ProvisionThroughput object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getReadCapacityUnits

    public Long getReadCapacityUnits()

  Get the number of read capacity for this table.

  Returns:
    The number of read capacity for this table, the type is in long type.

### withReadCapacityUnits

    public ProvisionedThroughput withReadCapacityUnits(Long capacity)

  Set the number of read capacity for this table.

  Parameters:
    `capacity` - The number of read capacity for this table, the type is in long type.
  Returns:
    A reference to this object so that method calls can be chained together.

### setReadCapacityUnits

    public void setReadCapacityUnits(Long capacity)

  Set the number of read capacity for this table.

  Parameters:
    `capacity` - The number of read capacity for this table, the type is in long type.

### withWriteCapacityUnits

    public ProvisionedThroughput withWriteCapacityUnits(Long capacity)

  Set the number of write capacity for this table.

  Parameters:
    `capacity` - The number of write capacity for this table, the type is in long type.
  Returns:
    A reference to this object so that method calls can be chained together.

### setWriteCapacityUnits

    public void setWriteCapacityUnits(Long capacity)

  Set the number of write capacity for this table.

  Parameters:
    `capacity` - The number of write capacity for this table, the type is in long type.

### getWriteCapacityUnits

    public Long getWriteCapacityUnits()

  Get the number of write capacity for this table.

  Returns:
    The number of write capacity for this table, the type is in long type.

### toString

    public String toString()

  Return a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the object.

### toJsonObj

    protected Object toJsonObj()

Copyright © 2016. All rights reserved.